Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.unix
Class X11.XKeyboardControlRef

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.XKeyboardControlRef

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing interface:
  X11

    public static class X11.XKeyboardControlRef

extends com.sun.jna.Structure
implements com.sun.jna.Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `auto_repeat_mode` AutoRepeatModeOff, AutoRepeatModeOn, AutoRepeatModeDefault.
`int` | `bell_duration` Duration of the bell specified in milliseconds, if possible.
`int` | `bell_percent` Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.
`int` | `bell_pitch` Pitch (specified in Hz) of the bell, if possible.
`int` | `key` `auto_repeat_mode` can change the auto repeat settings of this key.
`int` | `key_click_percent` Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.
`int` | `led` State of the LEDs.
`int` | `led_mode` LED mode: LedModeOn or LedModeOff.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.XKeyboardControlRef()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### key_click_percent

    public int key_click_percent

  Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible. A setting of -1 restores the default.

### bell_percent

    public int bell_percent

  Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible. A setting of -1 restores the default.

### bell_pitch

    public int bell_pitch

  Pitch (specified in Hz) of the bell, if possible. A setting of -1 restores the default.

### bell_duration

    public int bell_duration

  Duration of the bell specified in milliseconds, if possible. A setting of -1 restores the default.

### led

    public int led

  State of the LEDs. At most 32 LEDs numbered from one are supported.

### led_mode

    public int led_mode

  LED mode: LedModeOn or LedModeOff.

### key

    public int key

  `auto_repeat_mode` can change the auto repeat settings of this key.

### auto_repeat_mode

    public int auto_repeat_mode

  AutoRepeatModeOff, AutoRepeatModeOn, AutoRepeatModeDefault.

Constructor Detail

### X11.XKeyboardControlRef

    public X11.XKeyboardControlRef()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sun.jna.Structure`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD